Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class TBSCertList

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.TBSCertList

All Implemented Interfaces:
  DEREncodable

public class TBSCertList
extends java.lang.Object
implements DEREncodable

PKIX RFC-2459

     TBSCertList  ::=  SEQUENCE  {
          version                 Version OPTIONAL,
                                       -- if present, shall be v2
          signature               AlgorithmIdentifier,
          issuer                  Name,
          thisUpdate              Time,
          nextUpdate              Time OPTIONAL,
          revokedCertificates     SEQUENCE OF SEQUENCE  {
               userCertificate         CertificateSerialNumber,
               revocationDate          Time,
               crlEntryExtensions      Extensions OPTIONAL
                                             -- if present, shall be v2
                                    }  OPTIONAL,
          crlExtensions           [0]  EXPLICIT Extensions OPTIONAL
                                             -- if present, shall be v2
                                    }

Constructor Summary
`TBSCertList(ASN1Sequence seq)`

Method Summary
`DERObject` | `getDERObject()`
`X509Extensions` | `getExtensions()`
`X509Name` | `getIssuer()`
`DERUTCTime` | `getNextUpdate()`
`CRLEntry[]` | `getRevokedCertificates()`
`AlgorithmIdentifier` | `getSignature()`
`DERUTCTime` | `getThisUpdate()`
`int` | `getVersion()`
`DERInteger` | `getVersionNumber()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBSCertList

    public TBSCertList(ASN1Sequence seq)

Method Detail

### getVersion

    public int getVersion()

### getVersionNumber

    public DERInteger getVersionNumber()

### getSignature

    public AlgorithmIdentifier getSignature()

### getIssuer

    public X509Name getIssuer()

### getThisUpdate

    public DERUTCTime getThisUpdate()

### getNextUpdate

    public DERUTCTime getNextUpdate()

### getRevokedCertificates

    public CRLEntry[] getRevokedCertificates()

### getExtensions

    public X509Extensions getExtensions()

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD